gnutls_x509_dn_get_str2(3)

NAME
gnutls_x509_dn_get_str2 - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_dn_get_str2(gnutls_x509_dn_t dn, gnutls_datum_t * str, unsigned flags);

ARGUMENTS

gnutls_x509_dn_t dn
    a pointer to DN

gnutls_datum_t * str
    a datum that will hold the name

unsigned flags
    zero or GNUTLS_X509_DN_FLAG_COMPAT

DESCRIPTION
This function will allocate buffer and copy the name in the provided DN. The name will be in the form "C=xxxx,O=yyyy,CN=zzzz" as described in RFC4514. The output string will be ASCII or UTF-8 encoded, depending on the certificate data. When the flag GNUTLS_X509_DN_FLAG_COMPAT is specified, the output format will match the format output by previous to 3.5.6 versions of GnuTLS which was not not fully RFC4514-compliant.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.5.7

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2019 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/